Search Company By Name
Introduction
The API allows users to retrieve detailed information about a particular company. The response includes a wide range of information about the company, including its name, address, financial summary, officers, filings, industry codes, and more. This information can be used for various purposes, such as due diligence, risk assessment, and compliance checks.
Sample cURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../globalbusinessesv2' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "fetchEntityByName",
"essentials": {
"entityName": "...entityName...",
"country": "...country...",
"state": "...state...",
"entityStatus": "...entityStatus...",
"incorporationDate": "...incorporationDate...",
"inactiveFlag": "...inactiveFlag..."
}
}'Parameters | Description | Type | Required |
|---|---|---|---|
country | Country Code of the country | String | Compulsory |
state | State Code of the state | String | Conditional |
entityName | Name of entity to be searched | String | Conditional |
entityStatus | Status of the company | String | Conditional |
incorporationDate | IncorporationDate of the company | String | Conditional |
inactiveFlag | Inactive status of the company | String | Conditional |
The Supported Country Codes are listed below
Country Code | Country Name |
|---|---|
AE | United Arab Emirates |
AL | Albania |
AU | Australia |
AW | Aruba |
BB | Barbados |
BD | Bangladesh |
BE | Belgium |
BG | Bulgaria |
BH | Bahrain |
BL | Saint Barthélemy |
BM | Bermuda |
BO | Bolivia |
BR | Brazil |
BS | Bahamas |
BY | Belarus |
BZ | Belize |
CA | Canada |
CH | Switzerland |
CW | Curacao |
CY | Cyprus |
CZ | Czech Republic |
DE | Germany |
DK | Denmark |
DO | Dominican Republic |
ES | Spain |
FI | Finland |
FR | Réunion |
FR | France |
GB | United Kingdom |
GF | French Guiana |
GG | Guernsey |
GI | Gibraltar |
GL | Greenland |
GP | Guadeloupe |
GR | Greece |
HK | Hong Kong |
HR | Croatia |
IE | Ireland |
IL | Israel |
IM | Isle of Man |
IN | India |
IR | Iran |
IS | Iceland |
JE | Jersey |
JM | Jamaica |
JP | Japan |
KH | Cambodia |
LI | Liechtenstein |
LU | Luxembourg |
LV | Latvia |
MD | Moldova |
ME | Montenegro |
MF | Saint Martin |
MM | Myanmar |
MQ | Martinique |
MT | Malta |
MU | Mauritius |
MX | Mexico |
MY | Malaysia |
NL | Netherlands |
NO | Norway |
NZ | New Zealand |
PA | Panama |
PK | Pakistan |
PL | Poland |
PM | Saint Pierre and Miquelon |
PR | Puerto Rico |
PT | Portugal |
RO | Romania |
RW | Rwanda |
SE | Sweden |
SG | Singapore |
SI | Slovenia |
SK | Slovakia |
TH | Thailand |
TJ | Tajikistan |
TN | Tunisia |
TO | Tonga |
TZ | Tanzania |
UA | Ukraine |
UG | Uganda |
US | United States of America |
VN | Viet Nam |
VU | Vanuatu |
YT | Mayotte |
ZA | South Africa |
The Supported State Codes for US are listed below
State Code | State Name |
|---|---|
AK | Alaska |
AL | Alabama |
AR | Arkansas |
AZ | Arizona |
CA | California |
CO | Colorado |
CT | Connecticut |
DC | District of Columbia |
DE | Delaware |
FL | Florida |
GA | Georgia |
HI | Hawaii |
IA | Iowa |
ID | Idaho |
IN | Indiana |
KS | Kansas |
KY | Kentucky |
LA | Louisiana |
MA | Massachusetts |
MD | Maryland |
ME | Maine |
MN | Minnesota |
MO | Missouri |
MS | Mississippi |
MT | Montana |
NC | North Carolina |
ND | North Dakota |
NE | Nebraska |
NH | New Hampshire |
NJ | New Jersey |
NM | New Mexico |
NV | Nevada |
NY | New York |
OH | Ohio |
OK | Oklahoma |
OR | Oregon |
PA | Pennsylvania |
RI | Rhode Island |
SC | South Carolina |
SD | South Dakota |
TN | Tennessee |
TX | Texas |
UT | Utah |
VA | Virginia |
VT | Vermont |
WA | Washington |
WI | Wisconsin |
WV | West Virginia |
WY | Wyoming |
The Supported State Codes for CA are listed below
State Code | State Name |
|---|---|
NB | New Brunswick |
NL | Newfoundland and Labrador |
NS | Nova Scotia |
PE | Prince Edward Island |
QC | Quebec |
The Supported State Codes for AE are listed below
State Code | State Name |
|---|---|
AZ | Abu Dhabi (UAE) |
DU | Dubai (UAE) |
The Supported State Codes for FR are listed below
State Code | State Name |
|---|---|
RE | Reunion |
Sample Response
{
"result": {
"companies": [{
"company": {
"companyName": "...companyName...",
"businessId": "...businessId...",
"country": "...country...",
"state": "...state...",
"companyType": "...companyType...",
"companyAddressDetails": "...companyAddressDetails...",
"companyAddress": {
"companyStreetAddress": "...companyStreetAddress...",
"companyLocality": "...companyLocality...",
"companyRegion": "...companyRegion...",
"companyPostalCode": "...companyPostalCode...",
"companyCountry": "...companyCountry..."
},
"incorporationDate": "...incorporationDate...",
"currentCompanyStatus": "...currentCompanyStatus...",
"isInactive": "...isInactive...",
"dissolutionDate": "...dissolutionDate...",
"registryUrl": "...registryUrl...",
"updatedAt": "...updatedAt...",
"isBranch": "...isBranch...",
"branchStatus": "...branchStatus...",
"previousNames": [{
"companyPreviousName":"...companyPreviousName...",
"startDate":"...startDate...",
"endDate":"...endDate..."
}],
"source": "...source...",
"sourceUrl": "...sourceUrl...",
"industryCodes": [{
"industryCodeDescription": "...industryCodeDescription...",
"industryCodeSchemeId": "...industryCodeSchemeId...",
"industryCodeScheme": "...industryCodeScheme..."
}]
}
}]
}
}Parameter Name | Description | Data Type |
|---|---|---|
result | The main object containing all the information about the company. | object |
companyName | The name of the company. | string |
businessId | The business identifier of the company. | string |
country | The country in which the company is registered. | string |
state | The state or province in which the company is registered. | string |
companyType | The type of company. | String |
companyAddressDetails | The full address of the company. | string |
companyAddress | An object containing the various components of the company's address. | object |
companyStreetAddress | The street address of the company. | string |
companyLocality | The locality (city or town) in which the company is located. | string |
companyRegion | The region (county or district) in which the company is located. | string |
companyPostalCode | The postal code of the company's address. | string |
companyCountry | The country in which the company is located. | string |
currentCompanyStatus | The current status of the company. | string |
incorporationDate | The date on which the company was incorporated. | string |
isInactive | Indicates whether the company is currently inactive. | string |
dissolutionDate | The date on which the company was dissolved, if applicable. | string |
companyType | The type of company, such as "limited liability" or "corporation". | string |
registryUrl | The URL of the registry where the company is registered. | string |
updatedAt | updatedAt | string |
previousNames | An array of objects containing information about the previous names of the company. | array of objects |
companyPreviousName | The previous name of the company. | string |
startDate | The date on which the previous name became effective. | string |
endDate | The date on which the previous name ceased to be effective. | string |
isBranch | isBranch there | string |
branchStatus | branchStatus. | string |
source | source | string |
sourceUrl | The url of source. | string |
industryCodes | An array of objects containing information about the industry codes associated with the company. | array of objects |
industryCodeDescription | The description of the industry code. | string |
industryCodeScheme | The scheme under which the industry code was assigned. | string |

Error Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
error | This parameter contains the error. |
error.statusCode | Request Status code from Signzy |
error.name | the name of the error |
error.message | the error message |
type | type of the error   |
CODE | DESCRIPTION | INTERPRETATION |
|---|---|---|
400 | Bad Request | Input Parameter has a missing required parameter or not a valid one. |
401 | Authorization Failed | Authorization token is invalid. |
500 | Internal Server Error | Internal error at Signzy, please contact support. |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].